#nossa-historia {
  & .interface {
    gap: 4rem;
    justify-content: space-between;
  }

  & .txt-nossa-historia {
    width: 50%;

    & h2 {
      font-size: 3.5rem;
      color: var(--azul-base);
    }

    & p {
      font-size: 1.8rem;
      font-weight: 300;
      color: var(--cinza-texto-base);
      margin: 3rem 0;
    }
  }

  & .container-img {
    position: relative;
    width: 50%;

    & img {
      border-radius: 1rem;
      width: 100%;
      box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    }

    & span {
      position: absolute;
      bottom: -3%;
      left: -8%;
      background-color: var(--vermelho-base);
      color: var(--branco);
      padding: 1.5rem 2rem;
      font-size: 2.5rem;
      box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    }
  }
}

#missao-visao-valores {
  background-color: var(--cinza-claro);

  & .interface {
    flex-direction: column;
    gap: 5rem;
  }

  & h3 {
    font-size: 4rem;
    color: var(--azul-base);
  }

  & .container-cards {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3rem;

    & article {
      display: flex;
      flex-direction: column;
      gap: 1rem;
      width: 33.33%;
      height: 25rem;
      background-color: var(--branco);
      padding: 3rem;
      border-radius: 1rem;

      & .titulo {
        font-weight: bold;
        font-size: 2.5rem;
        color: var(--vermelho-base);
      }

      & ul {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        margin-left: 2rem;
      }

      & p,
      ul li {
        font-size: 1.8rem;
        color: var(--cinza-texto-base);
      }
    }
  }
}

#nossa-equipe {
  & .interface {
    flex-direction: column;
    gap: 5rem;
  }

  & h4 {
    font-size: 4rem;
    color: var(--azul-base);
  }

  & .container-cards {
    display: flex;
    gap: 3rem;

    & article {
      display: flex;
      flex-direction: column;
      gap: 1rem;
      align-items: center;
      justify-content: center;
      background-color: var(--cinza-claro);
      padding: 2rem;
      border-radius: 1rem;

      & img {
        border-radius: 50%;
        object-fit: cover;
        height: 15rem;
        width: 15rem;
      }

      & .nome {
        font-size: 2.5rem;
        font-weight: 600;
      }

      & .cargo {
        font-size: 2rem;
        color: var(--vermelho-base);
      }

      & .descricao {
        color: var(--cinza-texto-base);
        font-size: 1.5rem;
        text-align: center;
      }
    }
  }

  & p {
    font-size: 2rem;
  }
}

#nossa-infraestrutura {
  background-color: var(--cinza-claro);

  & .interface {
    flex-direction: column;
    gap: 5rem;
  }

  & h5 {
    font-size: 4rem;
    color: var(--azul-base);
  }

  & .container-cards {
    display: flex;
    gap: 3rem;

    & article {
      display: flex;
      flex-direction: column;
      background-color: var(--branco);
      border-radius: 1rem;
      width: 33.33%;
      overflow: hidden;

      & img {
        object-fit: cover;
        height: 25rem;
        width: 100%;
      }

      & .txt-container {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 1.5rem;

        & .titulo {
          font-size: 2.5rem;
          font-weight: 600;
        }

        & .descricao {
          color: var(--cinza-texto-base);
          font-size: 1.7rem;
        }
      }
    }
  }
}

#visita {
  & .container-visita {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5rem 2rem;
    gap: 2rem;
    border-radius: 1rem;
    background: linear-gradient(303deg,
        rgba(178, 0, 0, 0.17) 40%,
        rgba(30, 58, 138, 0.17) 83%);

    & h6 {
      font-size: 3.5rem;
    }

    & p {
      font-size: 2rem;
      width: 60%;
      text-align: center;
      color: var(--cinza-texto-base);
    }
  }
}

/* RESPONSIVIDADE */

@media (max-width: 1023px) {
  /* TITULO */

  #titulo {
    padding: 0 4%;

    & .interface {
      padding: 2rem 0;
    }

    & p {
      text-align: justify;
    }
  }

  /* NOSSA HISTORIA */

  #nossa-historia {
    padding: 0 4%;

    & .interface {
      padding: 2rem 0;
      flex-direction: column;

      & .txt-nossa-historia {
        width: 100%;

        & h2 {
          text-align: center;
        }

        & p {
          text-align: justify;
        }
      }
    }

    & .container-img {
      width: 100%;

      & img {
        width: 100%;
      }

      & span {
        left: 50%;
        width: max-content;
        transform: translate(-50%, 0);
      }
    }
  }

  /* MISSAO VISAO VALORES */

  #missao-visao-valores {
    padding: 0 4%;

    & .interface {
      padding: 2rem 0;
      gap: 2rem;

      & .container-cards {
        flex-direction: column;

        & article {
          height: auto;
          width: 100%;
        }
      }
    }

    & h3 {
      font-size: 3rem;
      text-align: center;
    }

    & p {
      text-align: justify;
    }
  }

  /* NOSSA EQUIPE */

  #nossa-equipe {
    padding: 0 4%;

    & .interface {
      padding: 2rem 0;
      gap: 2rem;

      & .container-cards {
        flex-direction: column;
      }
    }

    & p {
      text-align: justify;
    }

    & h4 {
      font-size: 3rem;
    }
  }

  /* NOSSA INFRAESTRUTURA */

  #nossa-infraestrutura {
    padding: 0 4%;

    & .interface {
      padding: 2rem 0;
      gap: 2rem;
    }

    & h5 {
      text-align: center;
      font-size: 3rem;
    }

    & .container-cards {
      overflow-x: auto;
      align-items: normal;
      height: 30rem;
      gap: 1rem;
      width: 100%;

      & article {
        flex: 0 0 auto;
        width: 30rem;

        & img {
          height: 55%;
        }

        & .txt-container {
          & .descricao {
            text-align: justify;
          }
        }
      }
    }
  }

  /* VISITA */

  #visita {
    padding: 0 4%;

    & .interface {
      padding: 2rem 0;

      & .container-visita {
        padding: 2rem 2rem;

        & h6 {
          font-size: 3rem;
          text-align: center;
        }

        & p {
          width: 100%;
          text-align: justify;
        }

        & .btn-vermelho {
          height: 5rem;
          width: 100%;
          display: flex;
          justify-content: center;
          align-items: center;
        }
      }
    }
  }
}